package symantec.itools.awt.util.edit;

import java.beans.*;
import symantec.itools.beans.*;

//  09/13/97	LAB	Removed extranious getMethodDescriptors method.

/**
 * BeanInfo for AddressCode.
 *
 */
public class AddressCodeBeanInfo extends SimpleBeanInfo {

	/**
	 * Constructs a AddressCodeBeanInfo object.
	 */
	public AddressCodeBeanInfo() {
	}

	/**
	 * Gets a BeanInfo for the superclass of this bean.
	 * @return BeanInfo[] containing this bean's superclass BeanInfo
	 */
	public BeanInfo[] getAdditionalBeanInfo() {
		try {
            BeanInfo[] bi = new BeanInfo[1];
            bi[0] = Introspector.getBeanInfo(beanClass.getSuperclass());
            return bi;
		}
		catch (IntrospectionException e) { throw new Error(e.toString());}
	}

	public MethodDescriptor[] getMethodDescriptors() { return new MethodDescriptor[0]; }

	/**
	 * Gets the SymantecBeanDescriptor for this bean.
	 * @return an object of type SymantecBeanDescriptor
	 * @see symantec.itools.beans.SymantecBeanDescriptor
	 */
	public BeanDescriptor getBeanDescriptor() {
		SymantecBeanDescriptor bd = new SymantecBeanDescriptor(beanClass);

		return (BeanDescriptor) bd;
	}

	private final static Class beanClass = AddressCode.class;

	}	//  end of class AddressCodeBeanInfo