package symantec.itools.awt;

//  07/19/97	LAB	Moved CompareFuncCB interface into it's own file from Matrix.java, at compiler's
//					request.
//  08/06/97	RKM	Made public to facilitate MultiList rework

/**
 * Interface for objects that allow both comparing of values
 * and swapping the compared values betweeen the objects.
 */
public interface CompareFuncCB extends CompareFunc
{
	/**
	 * Exchanges the compared values in the two given objects.
	 * @param o1 the first object
	 * @param o2 the second object
	 */
    public abstract void callBackSwap(Object o1, Object o2);
}
