package symantec.itools.awt.util.edit;


/**
 * An abstract subclass of PhoneNumber for use as various long distance
 * phone numbers.
 *
 * @see symantec.itools.awt.edit.USLongDistPhoneNumber
 * @see symantec.itools.awt.edit.IntlLongDistPhoneNumber
 *
 * @version 1.0, Nov 26, 1996
 *
 * @author	Symantec
 */
public abstract class LongDistPhoneNumber
    extends PhoneNumber
{
    /**
     * Create new formatted field.
     *
     * @param i number of columns in the field
     */
    protected LongDistPhoneNumber(int i)
    {
        super(i);
    }
}
