package symantec.itools.awt.util.edit;


import symantec.itools.awt.FormattedTextField;


/**
 * An abstract subclass of FormattedTextField for use as various phone numbers.
 *
 *
 * @see symantec.itools.awt.edit.LongDistPhoneNumber
 * @see symantec.itools.awt.edit.LocalPhoneNumber
 *
 * @version 1.0, Nov 26, 1996
 *
 * @author	Symantec
 *
 */


public abstract class PhoneNumber
    extends FormattedTextField
{
     /**
     * Create new formatted field.
     *
     * @param i number of columns in the field
     */
    protected PhoneNumber(int i)
    {
        super(i);
    }
}
