package symantec.itools.resources;

import java.util.ListResourceBundle;

public class PropBundle extends ListResourceBundle {
   public Object[][] getContents() {
       return contents;
   }
   static final Object[][] contents = {
       // BorderPanelBeanInfo
       {"Label", "Label"},
       {"LabelColor", "Label Color"},
       {"LabelAlignment", "Label Alignment"},
       {"LabelAlignmentEnum", "ALIGN_LEFT, ALIGN_CENTERED, ALIGN_RIGHT"},
       {"PaddingTop", "Padding Top"},
       {"PaddingBottom", "Padding Bottom"},
       {"PaddingLeft", "Padding Left"},
       {"PaddingRight", "Padding Right"},
       {"InsetPaddingTop", "Inset Padding Top"},
       {"InsetPaddingBottom", "Inset Padding Bottom"},
       {"InsetPaddingSides", "Inset Padding Sides"},
       {"BorderColor", "Border Color"},
       // END BorderPanelBeanInfo

       // ButtonBaseBeanInfo
       {"bevelHeight", "Bevel Height"},
       {"notifyDelay", "Notify Delay"},
       {"notifyWhilePressed", "Notify While Pressed"},
       {"showFocus", "Show Focus"},
       {"useOffset", "Use Offset"},
       {"showURLStatus", "Show Link URL Status"},
       {"buttonColor", "Button Color"},
       {"borderColor", "Border Color"},
       {"linkURL", "HTML Link URL"},
       {"htmlURLFILTER", "HTML Files(*.html;*.htm)"},
       {"frame", "Frame Name"},
       // END ButtonBaseBeanInfo

       // ComboBoxBeanInfo
       {"text", "Text"},
       {"listDown", "List Down"},
       {"caseSensitive", "Case-sensitive"},
       {"editable", "Editable"},
       {"listItems", "List Items"},
       {"searchable", "Searchable"},
//       {"showHorizontalScroll", "Show Horizontal Scrollbar"},
//       {"showVerticalScroll", "Show Vertical Scrollbar"},
       // END ComboBoxBeanInfo

       // DirectionButtonBeanInfo
       {"direction", "Direction"},
       {"directionEnum", "LEFT=0, RIGHT=1, UP=2, DOWN=3"},
       {"arrowIndent", "Arrow Indent"},
       {"arrowColor", "Arrow Color"},
       // END DirectionButtonBeanInfo

       // FormattedTextBeanInfo
       {"mask", "Mask"},
       // END FormattedTextBeanInfo

       // HorizontalSliderBeanInfo
       {"tickStyle", "Tick Style"},
       {"tickStyleEnum", "TICK_BOTTOM=0, TICK_TOP=1, TICK_BOTH=2, TICK_NONE=3"},
       // END HorizontalSliderBeanInfo

       // ImageButtonBeanInfo
       {"imageURL", "Image URL"},
       {"imageStyle", "Image Style"},
       {"imageURLFILTER", "Image Files(*.jpg;*.gif)"},
       {"imageStyleEnum", "IMAGE_TILED=0, IMAGE_CENTERED=1, IMAGE_SCALED_TO_FIT=2, IMAGE_NORMAL=3"},
       // END ImageButtonBeanInfo

       // ImageListBoxBeanInfo
       {"borderType", "Border Style"},
       {"borderValue", "BORDER_REGULAR=0, BORDER_NONE=1"},
       {"cellBorders", "Display Cell Borders"},
       {"columns", "Columns to Display"},
       {"comboMode", "ComboBox Mode"},
//       {"listItems", "List Items"},
       {"multiColumnMode", "Multi-Column Mode"},
       {"multipleSelections", "Multiple Selections"},
       {"rowsToShow", "Rows to Display"},
       {"showHorizontalScroll", "Show Horizontal Scroll Bar"},
       {"showVerticalScroll", "Show Vertical Scroll Bar"},
       // END ImageListBoxBeanInfo

       // ImagePanelBeanInfo (ImageButtonBeanInfo is used)
       // END ImagePanelBeanInfo

       // InfoTipBeanInfo
       {"textLocation", "Text Location"},
       {"textLocationEnum", "RIGHT_OF_COMPONENT=0, LEFT_OF_COMPONENT=1, ABOVE_COMPONENT=2, BELOW_COMPONENT=3"},
       {"textDelay", "Text Delay"},
       {"textScrollsIn", "Text Scrolls In"},
       {"highlightText", "Highlight Text"},
       {"textHighlightColor", "Text Highlight Color"},
       {"textColor", "Text Color"},
       // END InfoTipBeanInfo

       // InvisivleHTMLLinkBeanInfo
       // END InvisivleHTMLLinkBeanInfo

       // KeyPressManagerBeanInfo.
       // End KeyPressManagerBeanInfo.s);s);

       // Label3DBeanInfo
       {"alignStyle", "Alignment Style"},
       {"alignStyleEnum", "ALIGN_LEFT=0, ALIGN_CENTERED=1, ALIGN_RIGHT=2"},
       {"bevelStyle", "Bevel Style"},
       {"bevelStyleEnum", "BEVEL_LOWERED=0, BEVEL_RAISED=1, BEVEL_LINE=2, BEVEL_NONE=3"},
       {"borderIndent", "Border Indent"},
       {"borderIndentEnum", "INDENT_ZERO, INDENT_ONE, INDENT_TWO"},
       {"borderedColor", "Border Color"},
       // End Label3DBeanInfo

       // LabelButtonBeanInfo
       {"verticalAlignStyle", "Vertical Alignment Style"},
       {"verticalAlignStyleEnum", "ALIGN_TOP=0, ALIGN_CENTERED=1, ALIGN_BOTTOM=2"},
       // End LabelButtonBeanInfo

       // SliderBeanInfo
       {"minValue", "Min Value"},
       {"maxValue", "Max Value"},
       {"tickFreq", "Tick Frequency"},
       {"value", "Value"},
       {"showBorder", "Show Border"},
       // End SliderBeanInfo

       // RollOverButtonBeanInfo
       {"centerMode", "Center Mode"},
       {"clearFrame", "Clear Frame"},
       {"standardURL", "Standard Image"},
       {"overURL", "Mouse Over Image"},
       {"downURL", "Mouse Down Image"},
       {"uRL", "HTML Link URL"},
       // End RollOverButtonBeanInfo

       // RadioButtonGroupPanelBeanInfo
       {"selectedRadioButtonIndex", "Selected RadioButton Index"},
       // End RadioButtonGroupPanelBeanInfo

       // MultiListBeanInfo
       {"cellFont", "Cell Font"},
       {"cellBg", "Cell Background"},
       {"cellFg", "Cell Foreground"},
       {"headingBg", "Heading Background"},
       {"headingFg", "Heading Foreground"},
       {"headingFont", "Heading Font"},
       {"headings", "Column Headings"},
       {"columnSizes", "Column Sizes"},
       {"columnAlignments", "Column Alignments"},
       {"allowSorting", "Allow Sorting"},
       {"multipleMode", "Multiple Mode"},
       {"multiListSDescription", "List Item columns are separated by semi-colons and rows are separated by returns."},
       // End MultiListBeanInfo

       // StatusbarBeanInfo
       {"statusText", "Status Text"},
       {"statusTextColor", "Status Text Color"},
       {"paddingTop", "Padding Top"},
       {"paddingBottom", "Padding Bottom"},
       {"paddingLeft", "Padding Left"},
       {"paddingRight", "Padding Right"},
       {"iPadTop", "Inset Padding Top"},
       {"iPadBottom", "Inset Padding Bottom"},
       {"iPadSides", "Inset Padding Sides"},
       // End StatusbarBeanInfo

       // TabPanelBeanInfo
       {"currentPanelNdx", "Active Tab"},
       {"panelLabels", "Tab Labels"},
       {"tabsOnBottom", "Tabs On Bottom"},
       // End TabPanelBeanInfo

       // TreeViewBeanInfo
       {"treeStructure", "Items"},
       {"TVSDescription", "Use spaces before items to denote depth in the tree hierarchy."},
       // End TreeViewBeanInfo

       // WrappingLabelBeanInfo
       // End WrappingLabelBeanInfo

       // StateCheckBoxBeanInfo
       {"style", "Style"},
       {"styleEnum", "TWO_STATE=0, THREE_STATE=1"},
       {"state", "State"},
       {"stateEnum", "STATE_UNCHECKED=0, STATE_CHECKED=1, STATE_DEFAULT=2"},
       // End StateCheckBoxBeanInfo

       // SplitterPanelBeanInfo
       {"gapColor", "Gap Color"},
       {"enforceMinDim", "Enforce Minimum Dimension"},
       {"propResize", "Propagate Resize"},
       {"use3DBorder", "Use 3D Border"},
       {"allowDynamicMoving", "Allow Dynamic Moving"},
       // End SplitterPanelBeanInfo

       // ScrollingPanelBeanInfo
       {"minimumWidth", "Minimum Width"},
       {"minimumHeight", "Minimum Height"},
       {"scrollLineIncrement", "Scroll Increment"},
       {"HScrollbarHeight", "Horizontal Scrollbar Height"},
       {"VScrollbarWidth", "Vertical Scrollbar Width"},
       {"scrollbarDisplayPolicy", "Scrollbar Display Policy"},
       // End ScrollingPanelBeanInfo
       
       // PostalCodeBeanInfo
       {"roMask", "Mask"},
       // End PostalCodeBeanInfo
       
       // SpinnerBeanInfo
       {"orientation", "Orientation"},
       {"orientationEnum", "ORIENTATION_VERTICAL=0, ORIENTATION_HORIZONTAL=1"},
       {"minimum", "Minimum"},
       {"maximum", "Maximum"},
       {"wrappable", "Wrappable"},
       // End SpinnerBeanInfo
       
       // ToolbarPanelBeanInfo
       {"orientationEnumTB", "HORIZONTAL=0, VERTICAL=1"},
       // End ToolbarPanelBeanInfo
       
       // ToolbarSpacerBeanInfo
       {"space", "Space"},
       // End ToolbarSpacerBeanInfo
       
       // StatusScrollBarBeanInfo
       {"string", "String"},
       {"delay", "Delay"},
       {"repeat", "Repeat"},
       {"rightToLeft", "Right To Left"},
       {"scrollClean", "Scroll Clean"},
       {"autoStart", "Auto Start"},
       // End StatusScrollBarBeanInfo
       
       // ProgressBarBeanInfo
       {"progressBarColor", "ProgressBar Color"},
       {"drawBoxes", "Draw as Boxes"},
       {"boxWidth", "Box Width"},
       {"gapWidth", "Gap Width"},
       {"showProgress", "Show Progress"},
       // End ProgressBarBeanInfo
       
       // ShapeBeanInfo
       {"fillMode", "Fill Mode"},
       {"fillColor", "Fill Color"},
       // End ShapeBeanInfo
       
       // LineBeanInfo
       {"positiveSlope", "Positive Slope"},
       {"lineThickness", "Line Thickness"},
       // End LineBeanInfo
       
       // NumericSpinnerBeanInfo
       {"increment", "Increment"},
       // End NumericSpinnerBeanInfo
       
       // ListSpinnerBeanInfo
       {"allowDynamicResizing", "Dynamic Resizing"},
       // End ListSpinnerBeanInfo

       // MovingAnimationBeanInfo
       {"shiftOffset", "Shift Offset"},
       // End MovingAnimationBeanInfo
       
       // AnimatorBeanInfo
       {"numLoops", "Loop Count"},
       {"repeatMode", "Repeat Mode"},
       {"imageList", "URL List"},
//       {"clearFrame", "Clear Frame"},
       {"previewMode", "Preview Component"},
       // End AnimatorBeanInfo
       
       // NervousTextBeanInfo
       {"paused", "Paused"},
       // End NervousTextBeanInfo

       // SoundPlayerBeanInfo 
       {"syncMode", "Synchronized Mode"},
       {"repeatSP", "Repeat Count"},
       {"uRLList", "URL List"},
       {"soundURLFILTER", "Sound Files(*.au)"},
       {"date", "Date"},
       {"selectedColor", "Selection Color"},
       // End SoundPlayerBeanInfo 

       // ScrollingTextBeanInfo 
       {"scrollInterval", "Scroll Interval"},
       {"scrollUnit", "Scroll Unit"},
       {"scrollDirection", "Scroll Direction"},
       {"scrollDirectionEnum", "SCROLL_LEFT=0, SCROLL_RIGHT=1"},
       {"hiliteColor", "Message Hilite Color"},
       {"messageList", "Messages"},
       {"linkToList", "Message Links"},
       {"webURLFILTER", "Web pages(*.html;*.htm)"},
       // End ScrollingTextBeanInfo 

       // Emblaze20BeanInfo
       {"emblazeURL", "URL"},
       {"emblazeURLFILTER", "Emblaze Animation Files(*.blz)"},
       // End Emblaze20BeanInfo
       
       // WizardBeanInfo
       {"SelectedIndex", "Active Page"},
       {"HelpButtonVisible", "Help Button Visible"},
       {"CombinedButton", "Combined Button"},
       {"ButtonsAlignment", "Buttons alignment"},
       {"PageCount", "Page Count"},
       // End WizardBeanInfo
   };
}