package symantec.itools.awt.util.edit;


import symantec.itools.awt.FormattedTextField;


/**
 * An abstract subclass of FormattedTextField for use as various post office codes.
 *
 *
 * @see symantec.itools.awt.edit.ZipCode
 * @see symantec.itools.awt.edit.PostalCode
 * @see symantec.itools.awt.edit.LongZipCode
 *
 * @version 1.0, Nov 26, 1996
 *
 * @author	Symantec
 *
 */


public abstract class AddressCode
    extends FormattedTextField
{
    /**
     * Create new formatted field.
     *
     * @param i number of columns in the field
     */
    protected AddressCode(int i)
    {
        super(i);
    }
}
