package symantec.itools.resources;

import java.util.ListResourceBundle;

public class ConnBundle extends ListResourceBundle {
   public Object[][] getContents() {
       return contents;
   }
   static final Object[][] contents = {
       // BorderPanelBeanInfo
       {"getBevelStyle", "Get the border style"},
       {"getIPadTop", "Get the top inset padding amount"},
       {"getIPadBottom", "Get the bottom inset padding amount"},
       {"getPaddingLeft", "Get the left padding amount"},
       {"setIPadSides", "Set the side inset padding amount"},
       {"setPaddingLeft", "Set the left padding amount"},
       {"getPaddingRight", "Get the right padding amount"},
       {"setPaddingRight", "Set the right padding amount"},
       {"getIPadSides", "Get the side inset padding amount"},
       {"setLabelColor", "Set the label color"},
       {"setPaddingTop", "Set the top padding amount"},
       {"getPaddingBottom", "Get the bottom padding amount"},
       {"setLabel", "Set the border label"},
       {"setAlignStyle", "Set the label alignment"},
       {"getBorderColor", "Get the border color"},
       {"setIPadTop", "Set the top inset padding amount"},
       {"getLabel", "Get the border label"},
       {"setBorderColor", "Set the border color"},
       {"setBevelStyle", "Set the border style"},
       {"setPaddingBottom", "Set the bottom padding amount"},
       {"getLabelColor", "Get the label color"},
       {"setIPadBottom", "Set the bottom inset padding amount"},
       {"getPaddingTop", "Get the top padding amount"},
       {"getAlignStyle", "Get the label alignment"},
       // END BorderPanelBeanInfo

       // ButtonBaseBeanInfo
       {"getBevelHeight", "Get the Height of the Button Bevel"},
       {"isShowURLStatus", "Is Show Link URL Status"},
       {"isNotShowURLStatus", "Is Not Show Link URL Status"},
       {"setLinkURLRelative", "Set the HTML Link Relative URL"},
       {"setLinkURL", "Set the HTML Link URL"},
       {"getNotifyDelay", "Get the Notify Delay"},
       {"setBevelHeight", "Set the Height of the Button Bevel"},
       {"setNotifyDelay", "Set the Notify Delay"},
       {"isShowFocus", "Get the Button Focus Border Flag"},
       {"UseOffset", "Use Offset"},
       {"NotUseOffset", "Don't Use Offset"},
       {"ToggleUseOffset", "Toggle Use Offset"},
       {"UseOffsetValue", "Set Use Offset"},
       {"isNotifyWhilePressed", "Is Notify While Pressed"},
       {"isNotNotifyWhilePressed", "Is Not Notify While Pressed"},
       {"getLinkURL", "Get the HTML Link URL"},
       {"setFrame", "Set the HTML Link Frame Name"},
       {"setShowFocus", "Set the Button Focus Border Flag"},
       {"ToggleShowFocus", "Toggle the Button Focus Border Flag"},
       {"setShowURLStatus", "Show Link URL Status"},
       {"NotShowURLStatus", "Don't Show Link URL Status"},
       {"ToggleShowURLStatus", "Toggle Show Link URL Status"},
       {"ShowURLStatusValue", "Set Show Link URL Status"},
       {"setButtonColor", "Set the Button Color"},
       {"isUseOffset", "Is Use Offset"},
       {"isNotUseOffset", "Is Not Use Offset"},
       {"setNotifyWhilePressed", "Notify While Pressed"},
       {"NotNotifyWhilePressed", "Don't Notify While Pressed"},
       {"ToggleNotifyWhilePressed", "Toggle Notify While Pressed"},
       {"NotifyWhilePressedValue", "Set Notify While Pressed"},
       {"getFrame", "Get the HTML Link Frame Name"},
       {"getButtonColor", "Get the Button Color"},
       {"simulateClick", "Simulate a click on the button"},
       // END ButtonBaseBeanInfo

       // ComboBoxBeanInfo
       {"setListDown", "Set the list down"},
       {"isListDown", "Is list down?"},
       {"isEditable", "Is the %class% editable?"},
       {"isNonEditable", "Is the %class% non-editable?"},
       {"addItem", "Add item to the list"},
       {"setSearchableValue", "Set the searchable mode"},
       {"setSearchableTrue", "Make the %class% searchable"},
       {"setSearchableFalse", "Make the %class% non-searchable"},
       {"isCaseSensitive", "Is %class% case-sensitive?"},
       {"isNonCaseSensitive", "Is %class% case-insensitive?"},
       {"setTextCB", "Set the text in the edit field"},
       {"setCaseSensitiveValue", "Set case-sensitivity"},
       {"setCaseSensitiveTrue", "Make %class% case-sensitive"},
       {"setCaseSensitiveFalse", "Make %class% case-insensitive"},
       {"isShowVerticalScrollVisible", "Is Vertical Scrollbar visible?"},
       {"isShowVerticalScrollHidden", "Is Vertical Scrollbar hidden?"},
       {"selectIndex", "Select the item at the index"},
       {"selectString", "Select the item that matches the string"},
       {"setEditableValue", "Set the editable mode"},
       {"setEditableTrue", "Make the %class% editable"},
       {"setEditableFalse", "Make the %class% non-editable"},
       {"delSelectedItem", "Delete the selected item"},
       {"isShowHorizontalScrollVisible", "Is Horizontal Scrollbar visible?"},
       {"isShowHorizontalScrollHidden", "Is Horizontal Scrollbar hidden?"},
       {"delItem", "Delete the item from the list"},
       {"setShowVerticalScrollValue", "Make Vertical Scrollbar visible?"},
       {"setShowVerticalScrollTrue", "Show the Vertical Scrollbar"},
       {"setShowVerticalScrollFalse", "Hide the Vertical Scrollbar"},
       {"isSearchable", "Is the %class% searchable?"},
       {"isNonSearchable", "Is the %class% non-searchable?"},
       {"getSelectedItem", "Get the text of the selected item"},
       {"getTextCB", "Get the text in the edit field"},
       {"parseInt", "Get the edit field text as an int"},
       {"countItems", "Get the number of items in the list"},
       {"setShowHorizontalScrollValue", "Make Horizontal Scrollbar visible?"},
       {"setShowHorizontalScrollTrue", "Show the Horizontal Scrollbar"},
       {"setShowHorizontalScrollFalse", "Hide the Horizontal Scrollbar"},
       {"deselect", "Deselect the item at the index"},
       {"setEnabledTrue", "Enable the item in the list"},
       {"setEnabledFalse", "Disable the item in the list"},
       {"getSelectedIndex", "Get the index of the selected item"},
       // END ComboBoxBeanInfo

       // DirectionButtonBeanInfo
       {"LEFT","Point the button arrow LEFT"},
       {"RIGHT","Point the button arrow RIGHT"},
       {"UP","Point the button arrow UP"},
       {"DOWN","Point the button arrow DOWN"},
       {"setDirection","Set the button arrow direction"},
       {"getDirection","Get the button arrow direction"},
       {"setArrowColor","Set the Arrow color"},
       {"getArrowColor","Get the Arrow color"},
       // END DirectionButtonBeanInfo

       // FormattedTextBeanInfo
       {"getMask", "Get the edit field entry mask"},
       {"setMask", "Set the edit field entry mask"},
       // END FormattedTextBeanInfo
       
       // HorizontalSliderBeanInfo
       {"TICK_TOP", "TICK_TOP"},
       {"TICK_BOTTOM", "TICK_BOTTOM"},
       // END HorizontalSliderBeanInfo

       // ImageButtonBeanInfo
       {"IMAGE_TILED", "Tiled style"},
       {"IMAGE_CENTERED", "Centered style"},
       {"IMAGE_SCALED_TO_FIT", "Scaled to fit style"},
       {"NORMAL", "Normal style"},
       {"getImageURL", "Get the image URL of the button"},
       {"setImageURL", "Set the image to be displayed on the button"},
       {"setImageURLRel", "Set the relative image to be displayed on the button"},
       {"setImageStyle", "Set the image style"},
       {"getImageStyle", "Get the image style"},
       // END ImageButtonBeanInfo

       // ImageListBoxBeanInfo
       {"BORDER_REGULAR", "BORDER_REGULAR"},
       {"BORDER_NONE", "BORDER_NONE"},
       {"getBorderType", "Get the border style"},
       {"selectAll", "Selects all items in the list"},
       {"getVisibleIndex", "Get the index of the last item made visible"},
       {"setVisibleIndex", "Make a particular item in the list visible"},
       {"setComboMode", "Set the combo box mode"},
       {"allowMultipleSelections", "Allows multiple selections?"},
       {"notMultipleSelections", "Doesn't allow multiple selections?"},
       {"setSelectedIndex", "Select a particular item in the list"},
       {"resetSelectedIndex", "Deselect a particular item in the list"},
       {"visibleShowVerticalScroll", "Is Vertical Scrollbar visible?"},
       {"hiddenShowVerticalScroll", "Is Vertical Scrollbar hidden?"},
       {"setCellBordersValue", "Turn Cell Borders off and on"},
       {"setCellBordersTrue", "Turn Cell Borders on"},
       {"setCellBordersFalse", "Turn Cell Borders off"},
       {"setMultipleSelectionsValue", "Turn multiple selections on and off"},
       {"setSelectedItemString", "Select a particular item via string"},
       {"setSelectedItemFalse", "Deselect a particular item via string"},
       {"visibleShowHorizontalScroll", "Is Horizontal Scrollbar visible?"},
       {"hiddenShowHorizontalScroll", "Is Horizontal Scrollbar hidden?"},
       {"deselectAll", "Deselects all items in the list"},
       {"setRowsToShow", "Set the number of rows to display"},
       {"isEdited", "Has selected item been edited?"},
       {"getRows", "Get the number of visible lines in the list"},
       {"isCellBordersOn", "Are Cell Borders on?"},
       {"isCellBordersOff", "Are Cell Borders off?"},
       {"setBorderType", "Set the border style"},
       {"getLabelILB", "Get the current list box label"},
       {"isAllSelected", "All items are selected?"},
       {"isComboMode", "Is combo box mode?"},
       {"isMultiColMode", "Is Multi-Column mode?"},
       {"clear", "Clear the list"},
       {"delSelectedItems", "Delete the selected items from the list"},
       {"setMultiColumnModeTrue", "Set Multi-Column mode with borders"},
       {"setMultiColumnModeFalse", "Set Multi-Column mode without borders"},
       {"getRowsToShow", "Get the number of rows to display"},
       {"setTopRow", "Make a particular item the top row"},
       // END ImageListBoxBeanInfo

       // ImagePanelBeanInfo
       {"setStyle", "Set the style of the panel image"},
       {"getStyle", "Get the style of the panel image"},
       {"getImageURLPanel", "Get the image URL of the panel"},
       {"setImageURLPanel", "Set the image to be displayed on the panel"},
       {"setImageURLRelative", "Set the relative image to be displayed on the panel"},
       // END ImagePanelBeanInfo

       // InfoTipPanelBeanInfo.
       {"RIGHT_OF_COMPONENT", "RIGHT_OF_COMPONENT"},
       {"LEFT_OF_COMPONENT", "LEFT_OF_COMPONENT"},
       {"ABOVE_COMPONENT", "ABOVE_COMPONENT"},
       {"BELOW_COMPONENT", "BELOW_COMPONENT"},
       {"setText", "Set the text for this %class%"},
       {"getText", "Get the text for this %class%"},
       {"setTextLocation", "Set where the text will appear"},
       {"getTextLocation", "Get where the text will appear"},
       {"setTextDelay", "Set the delay after mouse-over but before text appears"},
       {"getTextDelay", "Get the delay after mouse-over but before text appears"},
       {"getTextScrollsIn", "Get whether the text will scroll into position"},
       {"setTextScrollsIn", "Set whether the text will scroll into position"},
       {"getHighlightText", "Get whether the text will be highlighted"},
       {"setHighlightText", "Set whether the text will be highlighted"},
       {"getTextHighlightColor", "Get Color which will be used to highlight text"},
       {"setTextHighlightColor", "Set Color which will be used to highlight text"},
       {"getTextColor", "Get Color which will be used to draw the text"},
       {"setTextColor", "Set Color which will be used to draw the text"},
       // END InfoTipPanelBeanInfo.

       // InvisibleHTMLLinkBeanInfo.
       {"currentFrame", "the current frame"},
       {"parentFrame", "the parent frame"},
       {"topmostFrame", "the topmost frame"},
       {"unnamedFrame", "a new unnamed frame"},
       {"getURL", "Get the HTML Link URL"},
       {"setURLRelative", "Set the HTML Link"},
       {"setURL", "Set the HTML Link URL"},
       // END InvisibleHTMLLinkBeanInfo.

       // KeyPressManagerBeanInfo.
       {"removeDefaultButton", "Remove the default button"},
       {"removeCancelButton", "Remove the cancel button"},
       // End KeyPressManagerBeanInfo.s);s);

       // Label3DBeanInfo
       {"INDENT_ZERO", "Border Indent of Zero"},
       {"INDENT_ONE", "Border Indent of One"},
       {"INDENT_TWO", "Border Indent of Two"},
       {"ALIGN_LEFT", "Align LEFT"},
       {"ALIGN_CENTERED", "Align CENTERED"},
       {"ALIGN_RIGHT", "Align RIGHT"},
       {"ALIGN_TOP", "Align TOP"},
       {"ALIGN_BOTTOM", "Align BOTTOM"},
       {"BEVEL_LOWERED", "Border Lowered"},
       {"BEVEL_RAISED", "Border Raised"},
       {"BEVEL_LINE", "Border Line"},
       {"BEVEL_NONE", "No Border"},
       {"getBevelStyleLabel", "Get the bevel style"},
       {"getBorderIndent", "Get the border indent"},
       {"getBorderedColor", "Get the border color"},
       {"setTextColorLabel", "Set the text color"},
       {"setAlignStyleLabel", "Set the alignment style"},
       {"getTextColorLabel", "Get the text color"},
       {"setBevelStyleLabel", "Set the bevel style"},
       {"setBorderedColor", "Set the border color"},
       {"setBorderIndent", "Set the border indent"},
       // End Label3DBeanInfo

       // LabelButtonBeanInfo
       {"getVerticalAlignStyle", "Get the vertical alignment style"},
       {"setTextColorLBtn", "Set the text color"},
       {"setAlignStyleLBtn", "Set the horizontal alignment style"},
       {"setVerticalAlignStyle", "Set the vertical alignment style"},
       {"getTextColorLBtn", "Get the text color"},
       {"getTextLBtn", "Get the text"},
       {"getAlignStyleLBtn", "Get the horizontal alignment style"},
       // End LabelButtonBeanInfo
 
       // SliderBeandInfo
       {"TICK_BOTH", "TICK_BOTH"},
       {"TICK_NONE", "TICK_NONE"},
       {"getMaxValue", "Get the maximum value of the %class%"},
       {"setMaxValue", "Set the maximum value of the %class%"},
       {"setTickStyle", "Set the tick style of the %class%"},
       {"getTickStyle", "Get the tick style of the %class%"},
       {"getMinValue", "Get the minimum value of the %class%"},
       {"setMinValue", "Set the minimum value of the %class%"},
       {"setValueCurr", "Set the current value of the %class%"},
       {"setValueInc", "Increment the current value of the %class%"},
       {"setValueDec", "Deccrement the current value of the %class%"},
       {"getValue", "Get the current value of the %class%"},
       {"setTickFreq", "Set the tick frequency of the %class%"},
       {"getTickFreq", "Get the tick frequency of the %class%"},
       {"setShowBorderToggle", "Toggle Show Border"},
       {"setShowBorderValue", "Set Show Border"},
       {"isShowBorder", "Is Show Border"},
       {"isNotShowBorder", "Is Not Show Border"},
       // End SliderBeandInfo

       // ScrollingPanelBeanInfo
       {"scrollLeft", "Scroll left"},
       {"getShowVerticalScrollVisible", "Is Vertical Scrollbar visible?"},
       {"getShowVerticalScrollHidden", "Is Vertical Scrollbar hidden?"},
       {"getMinimumHeight", "Get the minimum panel height"},
       {"setScrollLineIncrement", "Set the scroll increment"},
       {"setMinimumWidth", "Set the minimum panel width"},
       {"scrollPageRight", "Scroll page right"},
       {"scrollPageDown", "Scroll page down"},
       {"scrollDown", "Scroll down"},
       {"setMinimumHeight", "Set the minimum panel height"},
       {"getScrollLineIncrement", "Get the scroll increment"},
       {"getShowHorizontalScrollVisible", "Is Horizontal Scrollbar visible?"},
       {"getShowHorizontalScrollHidden", "Is Horizontal Scrollbar hidden?"},
       {"scrollUp", "Scroll up"},
       {"scrollHorizontalAbsolute", "Scroll to absolute horizontal position"},
       {"getMinimumWidth", "Get the minimum panel width"},
       {"scrollPageUp", "Scroll page up"},
       {"getVerticalGap", "Get the vertical gap"},
       {"scrollRight", "Scroll right"},
       {"scrollVerticalAbsolute", "Scroll to absolute vertical position"},
       {"getHorizontalGap", "Get the horizontal gap"},
       {"scrollPageLeft", "Scroll page left"},
       // End ScrollingPanelBeanInfo

       // SpliterPanelBeanInfo
       {"isEnforceMinDim", "Is Enforce Minimum Dimension"},
       {"isNotEnforceMinDim", "Is Not Enforce Minimum Dimension"},
       {"setGapSizes", "Set the size of the gap between panes"},
       {"iBdrSize", "Get the current pane border size"},
       {"isPropResize", "Is Propigate Resize"},
       {"getPropResize", "Is Not Propigate Resize"},
       {"oBdrSize", "Get the current outside border size"},
       {"setEnforceMinDimValue", "Set Enforce Minimum Dimension"},
       {"setEnforceMinDimToggle", "Toggle Enforce Minimum Dimension"},
       {"getGapColor", "Get color of gap between panes"},
       {"setGapColor", "Set color of gap between panes"},
       {"setBdrSizes", "Set the outside gap size"},
       {"setPropResizeValue", "Set Propigate Resize"},
       {"setPropResizeToggle", "Toggle Propigate Resize"},
       {"removeAll", "Remove all components"},
       {"setUse3DBorderToggle", "Toggle Use 3D Border"},
       {"setUse3DBorderValue", "Set Use 3D Border"},
       {"isUse3DBorder", "Is Use 3D Border"},
       {"isNotUse3DBorder", "Is Not Use 3D Border"},
       {"setAllowDynamicMovingToggle", "Toggle Allow Dynamic Moving"},
       {"setAllowDynamicMovingValue", "Set Allow Dynamic Moving"},
       {"isAllowDynamicMoving", "Is Allow Dynamic Moving"},
       {"isNotAllowDynamicMoving", "Is Not Allow Dynamic Moving"},
       // End SpliterPanelBeanInfo

       // StateCheckBoxBeanInfo
       {"TWO_STATE", "Style: TWO_STATE"},
       {"THREE_STATE", "Style: THREE_STATE"},
       {"STATE_UNCHECKED", "STATE_UNCHECKED"},
       {"STATE_CHECKED", "STATE_CHECKED"},
       {"STATE_DEFAULT", "STATE_DEFAULT"},
       {"setStyleCheckBox", "Set the checkbox style"},
       {"getStyleCheckBox", "Get the checkbox style"},
       {"setStateState", "Set the checkbox state"},
       {"setStateClear", "Clear the checkbox"},
       {"setStateCheck", "Check the checkbox"},
       {"getState", "Get the checkbox state"},
       {"getStateOn", "Is checkbox On?"},
       {"getStateOff","Is checkbox Off?"}, 
       // End StateCheckBoxBeanInfo

       // WrappingLabelBeanInfo
       {"setAlignStyleText", "Set the text alignment"},
       {"getAlignStyleText", "Get the text alignment"},
       // End WrappingLabelBeanInfo

       // TreeViewBeanInfo
       {"getCount", "Get the number of nodes in the tree"},
       {"getSelectedText", "Get the string for the selected node"},
       {"getViewCount", "Get the number viewable nodes in the tree"},
       {"remove", "Remove the specified node from the tree"},
       {"printTree", "Print the tree to STDOUT"},
       // End TreeViewBeanInfo

       // VerticalSliderBeanInfo
       {"TICK_LEFT", "TICK_LEFT"},
       {"TICK_RIGHT", "TICK_RIGHT"},
       // End VerticalSliderBeanInfo
       
       // TabPanelBeanInfo
       {"setCurrentPanelNdx", "Set the Current Tab Index"},
       {"getCurrentPanelNdx", "Get the Current Tab Index"},
       // End TabPanelBeanInfo

       // StatisBarBeanInfo
       {"getStatusTextColor", "Get the status text color"},
       {"setStatusText", "Set the status text"},
       {"getStatusText", "Get the status text"},
       {"setStatusTextColor", "Set the status text color"},
       // End StatisBarBeanInfo

       // MultiListBeanInfo
       {"setHeadingBg", "Set the heading background color"},
       {"setColumnAlignmentLeft", "Justify specified column LEFT"},
       {"setColumnAlignmentCenter", "Justify specified column CENTER"},
       {"setColumnAlignmentRight", "Justify specified column RIGHT"},
       {"setCellFg", "Set the foreground color of cell text"},
       {"getCellFont", "Get the font of all cell text"},
       {"setCellFont", "Set the font of all cell text"},
       {"setNumberOfCols", "Set the number of columns"},
       {"getHeadingFg", "Get the heading foreground color"},
       {"getCellBg", "Get the background color of cell text"},
       {"getHeadingFont", "Get the font of the heading text"},
       {"setCellBg", "Set the background color of cell text"},
       {"setHeadingFg", "Set the heading foreground color"},
       {"setHeadingFont", "Set the font of the heading text"},
       {"getNumberOfCols", "Get the current number of columns"},
       {"getColumnSize", "Get the column size in pixels"},
       {"getHeadingBg", "Get the heading background color"},
       {"clearMList", "Remove all rows from the %class%"},
       {"getSelectedRow", "Get the index of the selected row"},
       {"getCellFg", "Get the foreground color of cell text"},
       {"createColumns", "Create specified number of columns"},
       {"setSelectedRow", "Set specified row as the selected row"},
       {"setAllowSortingToggle", "Toggle Allow Sorting"},
       {"setAllowSortingValue", "Set Allow Sorting"},
       {"isAllowSorting", "Is Allow Sorting"},
       {"isNotAllowSorting", "Is Not Allow Sorting"},
       {"selectAllMList", "Select all rows"},
       {"deselectAllMList", "Deselect all rows"},
       // End MultiListBeanInfo

       // RadioButtonGroupPanelBeanInfo
       {"setSelectedRadioButtonIndex", "Set Selected RadioButton Index"},
       {"getSelectedRadioButtonIndex", "Get Selected RadioButton Index"},
       // End RadioButtonGroupPanelBeanInfo

       // RollOverButtonBeanInfo
       {"setOverURL", "Set the relative over state image URL"},
       {"setDownImage", "Set the down state image"},
       {"setStandardURL", "Set the relative default state image URL"},
       {"setDownURL", "Set the relative down state image URL"},
       {"setClearFrameTrue", "Clear frame between each image"},
       {"setClearFrameFalse", "Don't clear frame between each image"},
       {"setClearFrameToggle", "Toggle clearing the frame between each image"},
       {"setClearFrameValue", "Set Clear Frame"},
       {"getOverImage", "Get the over state image"},
       {"setOverImage", "Set the over state image"},
       {"setCenterModeTrue", "Center images in the button"},
       {"setCenterModeFalse", "Don't center images in the button"},
       {"setCenterModeToggle", "Toggle the centering of images in the button"},
       {"setCenterModeValue", "Set Center Mode"},
       {"isClearFrame", "Get Clear Frame"},
       {"isCenterMode", "Get Center Mode"},
       {"getDownImage", "Get the down state image"},
       {"setStandardImage", "Set the default state image"},
       {"getStandardImage", "Get the default state image"},
       // End RollOverButtonBeanInfo

       // ListSpinnerBeanInfo
       {"addItemSpinner", "Add an item to the spinner list"},
       {"getCurrentText", "Get the text of the current item"},
       // End ListSpinnerBeanInfo

       // NumericSpinnerBeanInfo
       {"setIncrement", "Set the spinner increment"},
       {"getIncrement", "Get the spinner increment"},
       // End NumericSpinnerBeanInfo

       // LineBeanInfo
       {"setPositiveSlope", "Set Positive Slope"},
       {"isPositiveSlope", "Is Positive Slope"},
       {"setLineThickness", "Set Line Thickness"},
       {"getLineThickness", "Set Line Thickness"},
       // End LineBeanInfo

       // ShapeBeanInfo
       {"setFillMode", "Set: Fill the shapes"},
       {"isFillMode", "Fill the shapes?"},
       {"getFillColor", "Get the fill color"},
       {"setFillColor", "Set the fill color"},
       // End ShapeBeanInfo
       
       // ProgressBarBeanInfo
       {"getBoxWidth", "Get the bar box width"},
       {"setBoxWidth", "Set the bar box width"},
       {"setShowProgress", "Set show progress bar percentage"},
       {"isShowProgress", "Show progress bar percentage?"},
       {"getGapWidth", "Get the bar gap width"},
       {"setGapWidth", "Set the bar gap width"},
       {"isDrawBoxes", "Draw progress bar as boxes?"},
       {"setValueProgress", "Set the progress bar value"},
       {"setValueProgressInc", "Increment the progress bar value"},
       {"setValueProgressDec", "Decrement the progress bar value"},
       {"setDrawBoxes", "Set draw progress bar as boxes"},
       {"getProgressBarColor", "Get the color of the progress bar"},
       {"getValueProgress", "Get the progress bar value"},
       {"setProgressBarColor", "Set the color of the progress bar"},
       // End ProgressBarBeanInfo

       // StatusScrollbarBeanInfo
       {"isScrollClean", "Get Scroll Clean mode"},
       {"setScrollClean", "Set Scroll Clean mode"},
       {"setString", "Set the Scrolling String"},
       {"isRightToLeft", "Get Right To Left mode"},
       {"setRightToLeftToggle", "Reverse direction"},
       {"setRightToLeft", "Set Right To Left mode"},
       {"isAutoStart", "Get Auto Start mode"},
       {"setDelay", "Set the delay amount"},
       {"stop", "Stop scrolling"},
       {"setRepeat", "Set Repeat mode"},
       {"isRepeat", "Get Repeat mode"},
       {"getString", "Get the Scrolling"},
       {"getDelay", "Get the delay amount"},
       {"clearStatusArea", "Clear the Status Area"},
       {"start", "Start scrolling"},
       {"setAutoStart", "Set Auto Start mode"},
       // End StatusScrollbarBeanInfo

       // ToolbarSpacerBeanInfo
       {"setSpace", "Set the Space of the %class%"},
       {"getSpace", "Get the Space of the %class%"}, 
       // End ToolbarSpacerBeanInfo
       
       // ToolbarPanelBeanInfo
       {"HORIZONTAL", "HORIZONTAL"}, 
       {"VERTICAL", "VERTICAL"}, 
       {"setOrientation", "Set the Orientation"}, 
       {"getOrientation", "Get the Orientation"}, 
       // End ToolbarPanelBeanInfo

       // SpinnerBeanInfo
       {"ORIENTATION_VERTICAL", "ORIENTATION_VERTICAL"}, 
       {"ORIENTATION_HORIZONTAL", "ORIENTATION_HORIZONTAL"}, 
       {"setWrappable", "Set the wrappablity"},
       {"setWrappableTrue", "Make the %class% wrappable"},
       {"setWrappableFalse", "Make the %class% non-wrappable"},
       {"getMax", "Get the maximum value"},
       {"setMax", "Set the maximum value"},
       {"setCurrent", "Set the current index"},
       {"getMin", "Get the minimum value"},
       {"setMin", "Set the minimum value"},
       {"setEditable", "Set the text editability"},
//       {"setEditableTrue", "Make the text editable"},
//       {"setEditableFalse", "Make the text non-editable"},
       {"isWrappable", "Is the %class% wrappable?"},
       {"isNotWrappable", "Is the %class% non-wrappable?"},
       {"getCurrent", "Get the current index"},
       // End SpinnerBeanInfo
       
       // CalenderBeanInfo
       {"setDate", "Set the date displayed on calendar"},
       {"getSelectedColor", "Get the selection color"},
       {"setSelectedColor", "Set the selection color"},
       {"getDate", "Get the date displayed on calendar"},
       // End CalenderBeanInfo
       
       // FireWorkBeanInfo
       {"unfreezeRockets", "Unfreeze all rockets"},
       {"freezeRockets", "Freeze all rockets"},
       // End FireWorkBeanInfo
       
       // AnimatorBeanInfo
       {"addImageURL", "Add an URL image to the image list"},
       {"addImageName", "Add an image name to the image list"},
//       {"setClearFrameTrue", "Clear frame between each image"},
//       {"setClearFrameFalse", "Don't clear frame between each image"},
       {"getNumLoops", "Get the animation loop count"},
       {"startAnimation", "Start the animation"},
       {"stopAnimation", "Stop the animation"},
//       {"setDelay", "Set the delay amount"},
       {"setImageList", "Set the image list"},
       {"setNumLoops", "Set the animation loop count"},
       {"setRepeatMode", "Set the repeat mode"},
//       {"getDelay", "Get the delay amount"},
       {"getImageList", "Get the image list"},
       // End AnimatorBeanInfo
       
       // ImageViewerBeanInfo
       {"IMAGE_NORMAL", "IMAGE_NORMAL"},
       {"setFileName", "Set the image to view as a String"},
       {"getImageURLIV", "Get the image being viewed"},
       {"setURLIV", "Set the relative image to view"},
       {"setImageURLIV", "Set the image to view as a URL"},
       {"getFileName", "Get the image being viewed"},
       {"setStyleIV", "Set the style of the image"},
       {"getStyleIV", "Get the style of the image"},
       // End ImageViewerBeanInfo
       
       // MovingAnimationBeanInfo
       {"getShiftOffset", "Get the %class% shift offset"},
       {"setShiftOffset", "Set the %class% shift offset"},
       // End MovingAnimationBeanInfo
       
       // NervousBeanInfo
       {"isPaused", "Is the %class% paused?"},
       {"isRunning", "Is the %class% running?"},
       {"setPaused", "Pause the %class%"},
       {"setPausedResume", "Resume the %class%"},
       {"setPausedCondition", "Pause the %class% on condition"},
       {"setPausedToggle", "Toggle the pause of the %class%"},
       // End NervousBeanInfo
       
       // PlazmaBeanInfo
       {"startPlasma", "Start the plasma animation"},
       {"stopPlasma", "Stop the plasma animation"},
       // End PlazmaBeanInfo
       
       // ScrollingTextBeanInfo
       {"SCROLL_LEFT", "SCROLL_LEFT"},
       {"SCROLL_RIGHT", "SCROLL_RIGHT"},
       {"_self", "_self"},
       {"_parent", "_parent"},
       {"_top", "_top"},
       {"_blank", "_blank"},
       {"setScrollInterval", "Set sleep time between scroll steps"},
       {"stopScrollingText", "Stop text scrolling"},
       {"show", "Show the component"},
       {"getHiliteColor", "Get the highlight color for text"},
       {"getScrollInterval", "Get sleep time between scroll steps"},
       {"setScrollDirection", "Specify the scrolling direction"},
       {"hide", "Hide the component"},
       {"setScrollUnit", "Specify the size of each scroll step"},
       {"setHiliteColor", "Set the highlight color for text"},
       {"getScrollDirection", "Get the scrolling direction"},
       {"startScrollingText", "Start text scrolling"},
       {"setFrameST", "Specify the display location of linked pages"},
       {"getFrameST", "Get the display location of linked pages"},
       {"getScrollUnit", "Get the size of each scroll step"},
       // End ScrollingTextBeanInfo
       
       // SoundPlayerBeanInfo
       {"addStringURL", "Add a sound file name to the play list"},
       {"getRepeat", "Get the repeat count of the play list"},
       {"isSyncMode", "Get the synchronization mode of the sound player"},
       {"setSyncMode", "Set the synchronization mode of the sound player"},
       {"stopSP", "Stop the sound player"},
       {"stopSPDelay", "Stop the sound player after the specified delay"},
       {"setRepeatSP", "Set the repeat count of the play list"},
       {"play", "Start the sound player"},
       {"addURLRelative", "Add a Relative URL of a sound file to the play list"},
       {"addURL", "Add the URL of a sound file to the play list"},
       // End SoundPlayerBeanInfo

       // Emblaze20BeanInfo
       {"freeze", "Pause the animation"},
       {"unfreeze", "Resume the animation"},
       {"startEmblaze", "Start the animation"},
       // End Emblaze20BeanInfo
       
       // WizardBeanInfo
       {"SetSelectedIndex", "Set the Current Page Index"},
       {"GetSelectedIndex", "Get the Current Page Index"},
       {"SetButtonsAlignment", "Set the Navigation Buttons Alignment"},
       {"GetButtonsAlignment", "Get the Navigation Buttons Alignment"},
       {"GetPageCount", "Get the Number of Pages"},
       {"GoPrevious", "Go to the Previous Page"},
       {"GoNext", "Go to the Next Page"},
       {"DoFinish", "Press the Finish Button"},
       {"DoCancel", "Press the Cancel Button"},
       {"DoHelp", "Press the Help Button"},
       {"SetButtonsState", "Set the state of all buttons"},
       {"SetPreviousEnabledTrue", "Enable the Previous Button"},
       {"SetPreviousEnabledFalse", "Disable the Previous Button"},
       {"SetNextEnabledTrue", "Enable the Next Button"},
       {"SetNextEnabledFalse", "Disable the Next Button"},
       {"SetFinishEnabledTrue", "Enable the Finish Button"},
       {"SetFinishEnabledFalse", "Disable the Finish Button"},
       {"SetCancelEnabledTrue", "Enable the Cancel Button"},
       {"SetCancelEnabledFalse", "Disable the Cancel Button"},
       {"SetHelpEnabledTrue", "Enable the Help Button"},
       {"SetHelpEnabledFalse", "Disable the Help Button"},
       {"SetNextPageIndex", "Set the Index of the Next Page"},
       {"SetPreviousPageIndex", "Set the Index of the Previous Page"},
       {"SetNextPage", "Set the Next Page"},
       {"SetPreviousPage", "Set the Previous Page"},
       // End WizardBeanInfo
   };
 }
 