package symantec.itools.awt.util.edit;


import symantec.itools.awt.FormattedTextField;


/**
 * An abstract subclass of FormattedTextField for use as government insurance numbers.
 *
 *
 * @see symantec.itools.awt.edit.SocialSecurityNumber
 * @see symantec.itools.awt.edit.SociaInsuranceNumber
 *
 * @version 1.0, Nov 26, 1996
 *
 * @author	Symantec
 *
 */
 
public abstract class SocialIDNumber
    extends FormattedTextField
{
     /**
     * Create new formatted field.
     *
     * @param i number of columns in the field
     */
    protected SocialIDNumber(int i)
    {
        super(i);
    }
}